## org.w3c.jigsaw.http
Class ConfigResource

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.AbstractContainer
                              |
                              +--org.w3c.jigsaw.http.ConfigResource

public class ConfigResource
extends AbstractContainer

Field Summary
`protected ResourceReference` | `controlConfig`
`protected ResourceReference` | `indexers`
`protected ResourceReference` | `propConfig`
`protected ResourceReference` | `realmConfig`
`protected httpd` | `server`
`static java.lang.String` | `SPACE_NAME`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`ConfigResource(httpd server)`

Method Summary
`ResourceReference` | `createDefaultResource(java.lang.String name)`
`void` | `delete(java.lang.String name)`
`java.util.Enumeration` | `enumerateResourceIdentifiers(boolean all)`
`ResourceReference` | `lookup(java.lang.String name)`
`void` | `registerResource(java.lang.String n, Resource c, java.util.Hashtable d)`

Methods inherited from class org.w3c.tools.resources.AbstractContainer
`attributeChanged, enumerateResourceIdentifiers, resourceCreated, resourceModified, resourceRemoved, resourceUnloaded, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource

`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, eventDisabled, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameModified, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, initialize, lookup, markModified, notifyUnload, perform, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, processEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPACE_NAME

    public static final java.lang.String SPACE_NAME

### server

    protected httpd server

### propConfig

    protected ResourceReference propConfig

### realmConfig

    protected ResourceReference realmConfig

### controlConfig

    protected ResourceReference controlConfig

### indexers

    protected ResourceReference indexers

Constructor Detail

### ConfigResource

    public ConfigResource(httpd server)

Method Detail

### registerResource

    public void registerResource(java.lang.String n,
                                 Resource c,
                                 java.util.Hashtable d)

  Overrides:
    registerResource in class AbstractContainer

### createDefaultResource

    public ResourceReference createDefaultResource(java.lang.String name)

  Overrides:
    createDefaultResource in class AbstractContainer

### delete

    public void delete(java.lang.String name)

  Overrides:
    delete in class AbstractContainer

### enumerateResourceIdentifiers

    public java.util.Enumeration enumerateResourceIdentifiers(boolean all)

  Overrides:
    enumerateResourceIdentifiers in class AbstractContainer

### lookup

    public ResourceReference lookup(java.lang.String name)

  Overrides:
    lookup in class AbstractContainer